use crate::config::Config;
use crate::repository::Repository;

pub struct Transcoder {
	config: Config,
	repository: Repository,
}

impl Transcoder {
	pub fn new(config: Config, repository: Repository) -> Transcoder {
		return Transcoder{
			config: config,
			repository: repository,
		}
	}

	pub fn start(self) {
		println!("Starting transcoder...");
	}
}
